/**auther:zhangzimao
   date:2019/12/10
   分页插件样式，可自定义
**/

.pagination {
  margin-top: 1vw;
  margin-bottom: 1vw;
  font-size: 0;
  text-align: center;
}

.pagination .page-li {
  display: inline-block;
  margin-right: 0.3vw;
  font-size: 0.73vw;
  line-height: 1;
  -ms-user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.pagination .page-li:hover {
  cursor: pointer;
  background-color: #999999;
}

.pagination .page-li.page-active {
  cursor: default;
  border-color: #FCDB2B;
  background-color: #FCDB2B;
}

.pagination .page-li.number-ellipsis {
  border: none;
  cursor: default;
}

.pagination .page-li.number-ellipsis:hover {
  background-color: #fff;
}

.pagination .page-number {
  width: 1.6vw;
  padding-top: 8px;
  padding-bottom: 8px;
  border: 1px solid #EAEAEA;
  border-radius: 4px;
  text-align: center;
}

.pagination .page-prev {
  padding: 8px 14px;
  margin-right: 8px;
  border: 1px solid #EAEAEA;
}

.pagination .page-prev.no-prev {
  color: #c6c6c6;
}

.pagination .page-prev.no-prev:hover {
  cursor: default;
  background-color: #fff;
}

.pagination .page-next {
  padding: 8px 14px;
  margin-left: 8px;
  border: 1px solid #EAEAEA;
}

.pagination .page-next.no-next {
  color: #c6c6c6;
}

.pagination .page-next.no-next:hover {
  cursor: default;
  background-color: #fff;
}

.pagination .number-ellipsis {
  display: inline-block;
  font-size: 15px;
  padding: 8px 14px;
}

.pagination .number-ellipsis.page-hidden {
  display: none;
}

#page-go {
  margin-top: 10px;
  text-align: center;
}